/*
# CVS: $Id: RAMB4_S16_S16.v,v 1.1 2009/03/30 19:42:31 depaulfm Exp $

# LICENSE AGREEMENT
#
#  FileName                   [RAMB4_S16_S16.v]
#
#  PackageName                [BackSpace]
#
#  Synopsis                   [Simulation model for RAMB4_S16_S16; 'black box'  ]
#                             [for synthesis                                    ]
#                             [This file is provided as is. I make no claims    ]
#                             [about its correctness. Use it at your own risk   ]
#
#  Author                     [FLAVIO M DE PAULA]
#
#  Copyright                  [Copyright (C) 2009 University of British Columbia]
# 
#  This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


module RAMB4_S16_S16(/*AUTOARG*/
   // Outputs
   DOA, DOB,
   // Inputs
   CLKA, RSTA, ADDRA, DIA, ENA, WEA, CLKB, RSTB, ADDRB, DIB, ENB, WEB
   );

input CLKA;
input RSTA;

input [7:0] ADDRA;
input [15:0] DIA;
input ENA;
input WEA;
output [15:0] DOA;

input CLKB;
input RSTB;

input [7:0] ADDRB;
input [15:0] DIB;
input ENB;
input WEB;
output [15:0] DOB;

// synopsys translate_off



// synopsys translate_on
endmodule

