#!/bin/sh
#
# CVS $Id: build.sh,v 1.2 2010/05/05 20:59:55 depaulfm Exp $
#
# Template script usedto compile the OpenRisc processor into VCS sim environment
#
RTL=.
BENCH=.
MODELS=${TOP}/models/OpenRisc
ISCAS89=${TOP}/techmap
BFM=../bfm

INCLUDE=.+$RTL+$ISCAS89+$BENCH+$MODELS
TOP=$BENCH/or1200_tb.v
DUT=$RTL/user_logic.v

echo "------------------------------------"
echo "Welcome to BackSpace vcs-based build"
echo "------------------------------------"
cmd="vcs +v2k $TOP $DUT +incdir+$INCLUDE +librescan  +libext+.v+ \
-y .      \
-y $BENCH  \
-y $MODELS \
-y $ISCAS89  \
-y $BFM \
-y $RTL"

echo $cmd

($cmd 2>&1 | tee compile.log)


